# AdSense Platform API

- [REST Resource: v1.platforms.accounts](https://developers.google.com/adsense/platforms/reference/rest#v1.platforms.accounts)
- [REST Resource: v1.platforms.accounts.events](https://developers.google.com/adsense/platforms/reference/rest#v1.platforms.accounts.events)
- [REST Resource: v1.platforms.accounts.sites](https://developers.google.com/adsense/platforms/reference/rest#v1.platforms.accounts.sites)
- [REST Resource: v1alpha.accounts.platforms](https://developers.google.com/adsense/platforms/reference/rest#v1alpha.accounts.platforms)
- [REST Resource: v1alpha.accounts.platforms.childAccounts.sites](https://developers.google.com/adsense/platforms/reference/rest#v1alpha.accounts.platforms.childAccounts.sites)
- [REST Resource: v1alpha.accounts.platforms.groups](https://developers.google.com/adsense/platforms/reference/rest#v1alpha.accounts.platforms.groups)
- [REST Resource: v1alpha.platforms.accounts](https://developers.google.com/adsense/platforms/reference/rest#v1alpha.platforms.accounts)
- [REST Resource: v1alpha.platforms.accounts.events](https://developers.google.com/adsense/platforms/reference/rest#v1alpha.platforms.accounts.events)
- [REST Resource: v1alpha.platforms.accounts.sites](https://developers.google.com/adsense/platforms/reference/rest#v1alpha.platforms.accounts.sites)

## Service: adsenseplatform.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://adsenseplatform.googleapis.com/$discovery/rest?version=v1>
- <https://adsenseplatform.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://adsenseplatform.googleapis.com`

## REST Resource: [v1.platforms.accounts](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/close` | `POST /v1/{name=platforms/*/accounts/*}:close` Closes a sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/create` | `POST /v1/{parent=platforms/*}/accounts` Creates a sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/get` | `GET /v1/{name=platforms/*/accounts/*}` Gets information about the selected sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/list` | `GET /v1/{parent=platforms/*}/accounts` Lists a partial view of sub-accounts for a specific parent account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts/lookup` | `GET /v1/{parent=platforms/*}/accounts:lookup` Looks up information about a sub-account for a specified creation_request_id. |

## REST Resource: [v1.platforms.accounts.events](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.events)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.events/create` | `POST /v1/{parent=platforms/*/accounts/*}/events` Creates an account event. |

## REST Resource: [v1.platforms.accounts.sites](https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.sites)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.sites/create` | `POST /v1/{parent=platforms/*/accounts/*}/sites` Creates a site for a specified account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.sites/delete` | `DELETE /v1/{name=platforms/*/accounts/*/sites/*}` Deletes a site from a specified account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.sites/get` | `GET /v1/{name=platforms/*/accounts/*/sites/*}` Gets a site from a specified sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.sites/list` | `GET /v1/{parent=platforms/*/accounts/*}/sites` Lists sites for a specific account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1/platforms.accounts.sites/requestReview` | `POST /v1/{name=platforms/*/accounts/*/sites/*}:requestReview` Requests the review of a site. |

## REST Resource: [v1alpha.accounts.platforms](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms/get` | `GET /v1alpha/{name=accounts/*/platforms/*}` Gets a platform. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms/list` | `GET /v1alpha/{parent=accounts/*}/platforms` Lists platforms for a specified account. |

## REST Resource: [v1alpha.accounts.platforms.childAccounts.sites](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/get` | `GET /v1alpha/{name=accounts/*/platforms/*/childAccounts/*/sites/*}` Gets a Platform Child Site for a specified Platform Child Account and site. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/list` | `GET /v1alpha/{parent=accounts/*/platforms/*/childAccounts/*}/sites` Lists Platform Child Sites for a specified Platform Child Account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.childAccounts.sites/patch` | `PATCH /v1alpha/{platformChildSite.name=accounts/*/platforms/*/childAccounts/*/sites/*}` Update a Platform Child Site. |

## REST Resource: [v1alpha.accounts.platforms.groups](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.groups)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.groups/get` | `GET /v1alpha/{name=accounts/*/platforms/*/groups/*}` Gets a Platform Group for a specified Platform and group. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.groups/list` | `GET /v1alpha/{parent=accounts/*/platforms/*}/groups` Lists Platform Groups for a specified Platform. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/accounts.platforms.groups/patch` | `PATCH /v1alpha/{platformGroup.name=accounts/*/platforms/*/groups/*}` Update a Platform Group. |

## REST Resource: [v1alpha.platforms.accounts](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/close` | `POST /v1alpha/{name=platforms/*/accounts/*}:close` Closes a sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/create` | `POST /v1alpha/{parent=platforms/*}/accounts` Creates a sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/get` | `GET /v1alpha/{name=platforms/*/accounts/*}` Gets information about the selected sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list` | `GET /v1alpha/{parent=platforms/*}/accounts` Lists a partial view of sub-accounts for a specific parent account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/lookup` | `GET /v1alpha/{parent=platforms/*}/accounts:lookup` Looks up information about a sub-account for a specified creation_request_id. |

## REST Resource: [v1alpha.platforms.accounts.events](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.events)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.events/create` | `POST /v1alpha/{parent=platforms/*/accounts/*}/events` Creates an account event. |

## REST Resource: [v1alpha.platforms.accounts.sites](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.sites)

| Methods ||
|---|---|
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.sites/create` | `POST /v1alpha/{parent=platforms/*/accounts/*}/sites` Creates a site for a specified account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.sites/delete` | `DELETE /v1alpha/{name=platforms/*/accounts/*/sites/*}` Deletes a site from a specified account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.sites/get` | `GET /v1alpha/{name=platforms/*/accounts/*/sites/*}` Gets a site from a specified sub-account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.sites/list` | `GET /v1alpha/{parent=platforms/*/accounts/*}/sites` Lists sites for a specific account. |
| `https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts.sites/requestReview` | `POST /v1alpha/{name=platforms/*/accounts/*/sites/*}:requestReview` Requests the review of a site. |